package com.gct.tool.mapper.centralbase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gct.centralbase.entity.CbTempWellMechRuntime;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 机采数据 runtime Mapper 接口
 * </p>
 *
 * @author wsy
 * @since 2021-01-19
 */
@Mapper
public interface CbTempWellMechRuntimeMapper extends BaseMapper<CbTempWellMechRuntime> {


    List getErrorData(@Param("localDateTime") LocalDateTime localDateTime);

    List getErrorDataInfo(@Param("prodDate") LocalDateTime prodDate);

    void createTableWithCbRunTime(@Param("startDate") String startDate,@Param("endDate") String endDate);
    void testRuntime(@Param("p1") String p1,@Param("p2") String p2);
}
